Category: Estimated time: 4175.50 hours
Description

Subtasks:
Evolution # 4093: ************** (WP) 09.1 – OBSERVATORY CONTROL Nouveau
  Evolution # 4049: ******* (M) 09.1.10 - ALERT - Alert Manager Nouveau
    Evolution # 4050: * (F) Receive alerts and information messages Nouveau
      Evolution # 4083: GCN Simulator Nouveau
      Evolution # 4084: Listen with Comet to GCN (actual and simulator) Nouveau
      Evolution # 4085: Filter messages (test, pertinence) Nouveau
      Evolution # 4086: Tests (different scenarios of alert messages) Nouveau
      Evolution # 3655: Simulation arrivée alerte VOEvent Fermé
      Evolution # 3677: Comet implementation Fermé
      Evolution # 3692: Listen to the real VOEvent network Nouveau
      Evolution # 3738: Système INotify linux + windows Nouveau
      Evolution # 4326: Inclure "trial comet" dans les tests pour s'assurer que Comet est bie... Nouveau
      Evolution # 4444: (FT) Tests Nouveau
    Evolution # 4051: * (F) Check alert message validity Nouveau
      Evolution # 4132: Check message validity (xml well formed, according to VOEvent schema,... Nouveau
      Evolution # 4133: (FT) Tests Nouveau
    Evolution # 4053: * (F) Analyse alert message and extract parameters Nouveau
      Evolution # 4134: Define (with scientists) parameters to be extracted from SWIFT VOEvents Nouveau
      Evolution # 4135: Define (with scientists) what should be a SVOM VOEvent content Nouveau
      Evolution # 4136: Extract important parameters Nouveau
      Evolution # 4137: (FT) Tests Nouveau
      Evolution # 3986: Extract good fields from VOEvents Fermé
    Evolution # 4078: * (F) Save alert message (and retreive them) Nouveau
      Evolution # 4138: Save the whole XML VOEvent message Nouveau
      Evolution # 4139: Save only important parameters Nouveau
      Evolution # 4140: Retreive the saved parameters Nouveau
      Evolution # 4141: (FT) Tests Nouveau
    Evolution # 4079: * (F) Determine Alert Request to build for this alert Nouveau
    Evolution # 4080: * (F) Build Alert Request Nouveau
      Evolution # 4168: Create in advance a few models of requests for each type of GRB to wa... Nouveau
      Evolution # 4169: Select the right prepared request model that matches best the current... Nouveau
      Evolution # 3987: Use strategies to build the requests Fermé
      Evolution # 3663: (FT) Test for request builder Fermé
    Evolution # 4081: * (F) Log status information Nouveau
      Evolution # 3985: Link alerts to their status and results Nouveau
      Evolution # 4443: (FT) Tests Nouveau
    Evolution # 4082: * (F) Build and Send VOEvent for analysis results Nouveau
    Evolution # 4253: * (F) Manage Alert Strategy Change (interactive) Nouveau
      Evolution # 3988: Possibility to change the default strategy Fermé
      Evolution # 3654: Strategy change Fermé
      Evolution # 3837: Strategy change : system for GIC Nouveau
      Evolution # 4470: (FT) Tests Nouveau
    Evolution # 4286: * (F) Alert VIEW (VOEvent) Nouveau
      Evolution # 3984: Print if there is an alert in progress in the main pages Nouveau
      Evolution # 4355: Simulate an Alert: Alerts (TODO: Un user "admin" doit pouvoir déclenc... Nouveau
      Evolution # 4471: (FT) Tests Nouveau
    Evolution # 4287: * (F) Alert Request VIEW Nouveau
      Evolution # 4472: (FT) Tests Nouveau
    Evolution # 3656: VOEvent save, log, parse, and validate Fermé
    Anomalie # 4308: * (F) Minor bug fixes and optimized performance Nouveau
      Evolution # 3990: Souci d'arrondis sur les JD calculés par DateTime Fermé
      Evolution # 3989: Check for all TODOs in alert_manager files Nouveau
      Evolution # 3708: Minor changes for version validation Fermé
      Evolution # 4291: MODULE Tests Suite Nouveau
  Evolution # 4054: ******* (M) 09.1.20 - ROUTINE - Routine Manager Nouveau
    Evolution # 4170: * (F) Build a new request from scratch Nouveau
      Evolution # 4473: Build Request Nouveau
      Evolution # 4474: (FT) Tests Nouveau
    Evolution # 4171: * (F) Build a request from an existing pattern Nouveau
      Evolution # 4475: Build Request Nouveau
      Evolution # 4476: (FT) Tests Nouveau
    Evolution # 4172: * (F) Examine and validate a request (web form) Nouveau
      Evolution # 4405: Do all the needed checks Nouveau
      Evolution # 4411: When saving, do more checks on coordinates, jd1/2 etc Nouveau
      Evolution # 4447: (FT) Tests Nouveau
    Evolution # 4173: * (F) Simulate plan, sequence, request Nouveau
    Evolution # 4174: * (F) Optimize parameters Nouveau
      Evolution # 4403: Put the goods fields (for coordinates etc) Nouveau
      Evolution # 4404: Only propose the objects that matches the conditions (ex: scientific ... Nouveau
      Evolution # 4406: Add automatic computation of JD1/JD2 Nouveau
      Evolution # 4448: (FT) Tests Nouveau
    Evolution # 4175: * (F) Submit request Nouveau
      Evolution # 3811: Routine auto-deposit Fermé
      Evolution # 4413: When submitting, use the monitoring to determine sequences status Nouveau
      Evolution # 4414: When submitting, modify the first_schedule to False, when scheduling Nouveau
      Evolution # 4415: When unsubmitting, uncomment the check for EXED and EXING removing Nouveau
      Evolution # 4416: When unsubmitting, uncomment the scheduling and change the first_sche... Nouveau
      Evolution # 4449: (FT) Tests Nouveau
    Evolution # 4176: * (F) Interface with JD1JD2 Calculator (JFL) Nouveau
      Evolution # 4407: Add checkbox for JD / GD Nouveau
      Evolution # 4445: Interface Nouveau
      Evolution # 4450: (FT) Tests Nouveau
    Evolution # 4177: * (F) Interface with ETC/IS (Exposure Time Calculator / Image Simulat... Nouveau
      Evolution # 3693: Simulation  with ETC-IS Nouveau
      Evolution # 4409: Add ETC-IS simulation Nouveau
      Evolution # 4446: Interface development Nouveau
      Evolution # 4451: (FT) Tests Nouveau
    Evolution # 4285: * (F) Build a request from an XML file Nouveau
    Evolution # 4288: * (F) Build a request BY COPY Nouveau
      Evolution # 4426: RoutineManager : Faire un TEST import/export d’une requete Nouveau
      Evolution # 4452: (FT) Tests Nouveau
    Evolution # 4289: * (F) Routine Request VIEW (sequences/albums/plans/ and images if exist) Nouveau
      Evolution # 3660: Design Fermé
      Evolution # 4408: Add options : copy my sequence on x days, and authorise report Nouveau
      Evolution # 4410: Add help for new users (New accounts only) Nouveau
      Evolution # 4412: Uncomment filter for alerts removing Nouveau
      Evolution # 3657: Request form Fermé
      Evolution # 4428: Pouvoir donner la date sous deux formes (“Tonight” => nuit en cours o... Nouveau
      Evolution # 4429: Request level: (default) "Best effort, do as much sequences as you ca... Nouveau
      Evolution # 4430: Sequence level (default) “Optional sequence”  => option “Mandatory se... Nouveau
      Evolution # 4431: Période de visibilité JD1-JD2: Donnée par le logiciel ETC/IS Nouveau
      Evolution # 4432: Période de visibilité JD1-JD2: recalculer le JD1-JD2 qui sera un peu ... Nouveau
      Evolution # 4433: Période de visibilité JD1-JD2:  il peut y en avoir plusieurs dans la ... Nouveau
      Evolution # 4453: (FT) Tests Nouveau
    Evolution # 4292: MODULE Tests Suite Nouveau
  Evolution # 4055: ******* (M) 09.1.25 - Request Builder (private sub-module) Nouveau
    Evolution # 4179: * (F) Build a Routine Request from parameters passed by the Routine M... Nouveau
      Evolution # 3658: Request JD1JD2 calculator Nouveau
      Evolution # 4454: Build Request Nouveau
      Evolution # 4477: (FT) Tests Nouveau
    Evolution # 4180: * (F) Build an Alert Request from parameters passed by the Alert Manager Nouveau
      Evolution # 4478: Build Alert Request Nouveau
      Evolution # 4479: (FT) Tests Nouveau
    Evolution # 4231: * (F) Request VIEW (show structure: sequences, albums, plans) Nouveau
    Evolution # 4293: MODULE Tests Suite Nouveau
    Evolution # 3659: RequestBuilder Fermé
    Evolution # 3826: Submit a finished request Fermé
    Evolution # 4418: Change the 'first_schedule' to False at the end of RequestBuilder.val... Nouveau
  Evolution # 4058: ******* (M) 09.1.30 - SCHEDULER - PLAN Nouveau
    Evolution # 4027: Link main page to current scheduler Nouveau
    Evolution # 4029: * (F) Give access to old schedules Nouveau
      Evolution # 4196: Keep history of all the past schedules Nouveau
      Evolution # 3703: script installation doit fonctionner correctement pour un update (+ a... Fermé
      Evolution # 3652: Manage history Fermé
      Evolution # 4480: (FT) Tests Nouveau
    Evolution # 4188: * (F) Get back list of sequences to be planned Nouveau
    Evolution # 4189: * (F) Manage priorities Nouveau
      Evolution # 4035: Priority computing Nouveau
      Evolution # 4481: (FT) Tests Nouveau
      Evolution # 4519: (Description) How to manage priority Nouveau
    Evolution # 4190: * (F) Manage quotas Nouveau
      Evolution # 4036: Quotas computing Nouveau
      Evolution # 4037: Quotas re-attribution Nouveau
      Evolution # 4369: Quotas evolution Nouveau
      Evolution # 4482: (FT) Tests Nouveau
      Evolution # 4520: (Description) How to manage Quota Nouveau
    Evolution # 4192: * (F) Validate and save planning Nouveau
      Evolution # 4365: Store the reasons of rejects (create a new attribute, in shs ?) Nouveau
      Evolution # 4462: Validate Nouveau
      Evolution # 4483: (FT) Tests Nouveau
    Evolution # 4193: * (F) Automatic planning updates Nouveau
      Evolution # 3625: Scheduler update Fermé
    Evolution # 4194: * (F) Manual planning update Nouveau
    Evolution # 4195: * (F) Scheduling operation Nouveau
      Evolution # 3651: Manage dead times Fermé
      Evolution # 4034: Do not create the execute_sequence tasks if the night isn't close Nouveau
      Evolution # 4031: Change system to determine night start & end Nouveau
      Evolution # 4039: At the end of scheduling, send the schedule to the IC ? Nouveau
      Evolution # 3975: Get night start & end Nouveau
      Evolution # 4364: Change the system to determine night start/end (they must be given in... Nouveau
      Evolution # 4484: (FT) Tests Nouveau
    Evolution # 4213: * (F) Scheduler VIEW (web page) Nouveau
      Evolution # 4278: Display a schedule Nouveau
        Evolution # 4178: Link alert sequences to their Request in the Alert manager Nouveau
        Evolution # 4028: Link user's sequences to their Request in the routine manager Nouveau
      Evolution # 4279: Display general view template Nouveau
      Evolution # 4280: Buttons to browse previous schedules Nouveau
      Evolution # 4281: Display current schedule, refreshed every N seconds, with current Tim... Nouveau
      Evolution # 4030: Give access to rejected sequences of a schedule, and the reasons of r... Nouveau
      Evolution # 4342: Eviter que la vue du Scheduler s'affiche avec une erreur (IndexError)... Nouveau
      Anomalie # 4343: Affichage d'un schedule : pour chaque ligne (séquence), ajouter une co... Nouveau
      Evolution # 4360: Link the main page to the current schedule instead of the simulation ... Nouveau
      Evolution # 4361: Show user sequences in the schedules (with links) Nouveau
      Evolution # 4362: Give accces to old schedules (day / days before / all end-night plann... Nouveau
      Evolution # 4370: Blank space filling Nouveau
      Evolution # 4485: (FT) Tests Nouveau
      Evolution # 4505: Add column "Observatory status" for the planning Nouveau
      Evolution # 4507: N'afficher que la fenêtre de temps actuelle (mais on doit pouvoir scr... Nouveau
      Evolution # 4508: Remplacer EXECUTED par COMPLETED, EXECUTED (partial) par INTERRUPTED,... Nouveau
      Evolution # 4509: Il faudrait une page qui montre toutes les séquences rejetées et exéc... Nouveau
      Evolution # 4767: Automatic refresh for scheduling view Nouveau
      Evolution # 4768: Debug and make scheduler compatible for short simulations Nouveau
    Evolution # 4294: MODULE Tests Suite Nouveau
      Evolution # 3701: Add simulation to tests Fermé
    Evolution # 4033: Ask AK for the 'flag' attribute Nouveau
    Evolution # 4344: le rendre complètement autonome, indépendant du projet Nouveau
    Evolution # 4367: Do not create the execute_sequence tasks if it's not the night (- 120... Nouveau
    Evolution # 4506: Heure TU (UTC) Nouveau
  Evolution # 4056: ******* (M) 09.1.35 - CONDUCTOR - Majordome, Supervisor Nouveau
    Evolution # 4215: * (F) Order a scheduling operation Nouveau
      Evolution # 4423: Démarrage: Ce n’est pas Monitoring mais Majordome qui doit lancer le ... Nouveau
      Evolution # 4486: (FT) Tests Nouveau
    Evolution # 4216: * (F) Check environment status (weather, and site) Nouveau
    Evolution # 4218: * (F) Check devices status Nouveau
    Evolution # 4219: * (F) Take decision according to environment change (weather, obs con... Nouveau
    Evolution # 4220: * (F) Start/Resume System (software) Nouveau
    Evolution # 4221: * (F) Stop/Pause System (software) Nouveau
      Evolution # 4381: system_pause : abort instruments Nouveau
      Evolution # 4382: system_pause : stop executing tasks Nouveau
      Evolution # 4383: system_start : start a scheduling Nouveau
      Evolution # 4424: Fin de nuit: Majordome fait un system.pause(), ensuite une task de ca... Nouveau
      Evolution # 4487: (FT) Tests Nouveau
    Evolution # 4222: * (F) Order a planned sequence execution Nouveau
      Evolution # 3661: Majordome exec sequence Fermé
      Evolution # 4377: execute_sequence : Add the PLC checks at start (to see if we do the s... Nouveau
      Evolution # 4378: execute_sequence : Use the global telescope (instead of creating one ... Nouveau
      Evolution # 4379: execute_sequence : Give first_schedule as false when a scheduling is ... Nouveau
      Evolution # 4380: execute_sequence : Remove the default countdown (1, for tests) Nouveau
      Evolution # 4488: (FT) Tests Nouveau
    Evolution # 4223: * (F) ABORT sequence execution Nouveau
    Evolution # 4224: * (F) Get sequence execution status (wait for end) Nouveau
    Evolution # 4225: * (F) Send Information and status to GIC (devices status, software ve... Nouveau
    Evolution # 4226: * (F) Check observation conditions Nouveau
      Evolution # 4384: change_obs_conditions : Change sequences status (if needed) Nouveau
      Evolution # 4385: change_obs_conditions : If some status changed, re-launch a scheduling Nouveau
      Evolution # 4489: (FT) Tests Nouveau
    Evolution # 4232: * (F) Conductor VIEW : Display current system (software) global status Nouveau
      Evolution # 4417: When a socket connection fails (exception thrown), set the device to ... Nouveau
    Evolution # 4295: MODULE Tests Suite Nouveau
    Evolution # 4375: TASK MANAGER : When a sequence is cancelled, give back the quota to t... Nouveau
    Evolution # 4376: TASK MANAGER : In case of alert, do not stop the ongoing plan, and ma... Nouveau
  Evolution # 4142: ******* (M) 09.1.40 - OBSERVER (EXEC, EYES) - Observation Manager, Im... Nouveau
    Evolution # 4227: * (F) Execute a (planned) sequence Nouveau
      Evolution # 3662: ObservationManager : implement plan execution Fermé
      Evolution # 4017: Handle timeouts Nouveau
      Evolution # 4490: (FT) Tests Nouveau
    Evolution # 4228: * (F) Stop (abort) current sequence execution Nouveau
    Evolution # 4229: * (F) Save images (with header) Nouveau
    Evolution # 4230: * (F) Observer VIEW : Display current PLAN execution, current devices... Nouveau
    Evolution # 4296: MODULE Tests Suite Nouveau
      Evolution # 3675: Test with the real ASTELCO telescope Nouveau
    Evolution # 4419: Handle primary devices errors Nouveau
    Evolution # 4420: Handle secondary devices errors Nouveau
    Evolution # 4515: Refactoriser tasks.execute_plan{vis,nir} Nouveau
    Evolution # 4516: Gérer le Dithering : au début, c'est la camera NIR qui devait le gére... Nouveau
    Evolution # 4558: * (F) Devices Management Nouveau
      Evolution # 4236: * (F) Devices GRAMMAR Nouveau
      Evolution # 4237: * (F) Devices CDE/CTRL Nouveau
      Evolution # 4235: * (F) Devices SIMULATORS (Telescope, Cameras, PLC, ...) Nouveau
        Evolution # 4491: (FT) Tests Nouveau
        Evolution # 4556: Simulateur de Source de lumière : (Champ de la source) Nouveau
        Evolution # 4557: Ephemeris simulator Nouveau
        Evolution # 4567: Telescope simulation Nouveau
          Evolution # 4006: 10 - Pyros simple Telescope simulator Nouveau
          Evolution # 3670: 30 - Simulation with IRIS telescope (LAM) Nouveau
          Evolution # 3672: 40 - Simulation with the very ASTELCO simulator Nouveau
          Evolution # 4568: 20 - Simulation with our own very small IRAP telescope Nouveau
        Evolution # 4569: NIR (CAGIRE) simulation Nouveau
          Evolution # 3683: 20 - NIR cam simple simulator v1 (should be given by the CAGIRE team) Nouveau
          Evolution # 4570: 30 - NIR cam simple simulator v2 (should be given by the CAGIRE team) Nouveau
          Evolution # 4571: 10 - Pyros simple NIR simulator Nouveau
        Evolution # 4572: VIS simulation Nouveau
          Evolution # 4573: 20 - VIS cam simple simulator v1 (should be given by the UNAM VIS team) Nouveau
          Evolution # 4574: 30 - VIS simple simulator v2 (should be given by the UNAM VIS team) Nouveau
          Evolution # 4576: 10 - Pyros simple NIR simulator Nouveau
        Evolution # 3685: Pyros simple Pyros simulator (to be given to the CAGIRE and the UNAM ... Nouveau
  Evolution # 4200: ******* (M) 09.1.50 - MONITOR - Monitoring (weather, observation cond... Nouveau
    Evolution # 4201: * (F) Read Environment data (Weather, Observation Conditions, and Sit... Nouveau
      Evolution # 3668: Interface with PLC Nouveau
      Evolution # 3934: Get instruments status (from Observer, via DB) Nouveau
      Evolution # 3935: Timer for night start & end Nouveau
      Evolution # 4492: (FT) Tests Nouveau
      Evolution # 4514: Get CURRENT TASKS (Celery) status Nouveau
    Evolution # 4202: * (F) Correct raw data Nouveau
    Evolution # 4203: * (F) Provide high level parameters Nouveau
    Evolution # 4204: * (F) Save monitored data Nouveau
      Evolution # 3936: Store weather & site watches Nouveau
      Evolution # 4339: Le monitoring doit stocker les statuts dans la BD (TODO) Nouveau
      Evolution # 4493: (FT) Tests Nouveau
    Evolution # 4269: * (F) PLC Simulator Nouveau
      Evolution # 3669: PLC simple simulator Nouveau
      Evolution # 3678: Weather Station simple simulator Nouveau
      Evolution # 3679: Observation conditions simple simulator Nouveau
      Evolution # 3937: Instruments creation & configuration Nouveau
      Evolution # 4024: Various and complete answers for PLC simulator Nouveau
      Evolution # 4494: (FT) Tests Nouveau
    Evolution # 4284: Définir la liste des données à échanger, leur format, leur contenu, l... Nouveau
    Evolution # 4290: * (F) Monitor VIEW Nouveau
      Evolution # 4233: Display current environment status (weather, site, observation condit... Nouveau
      Evolution # 4234: Display environment status HISTORY Nouveau
      Evolution # 3974: Diagramme workflow du manotoring + Wiki Nouveau
      Evolution # 4340: Ces statuts doivent être affichés au fur et à mesure sur la page web ... Nouveau
      Evolution # 4387: Print the instrument status Nouveau
      Evolution # 4388: Print PLC informations (with the evolution) Nouveau
      Evolution # 4389: In the dashboard screens, put scroll on each screen to see the old logs Nouveau
      Evolution # 4495: (FT) Tests Nouveau
    Evolution # 4297: MODULE Tests Suite Nouveau
    Evolution # 3938: Calibration files sheduling Nouveau
    Evolution # 3939: CReate 'super' calibration images Nouveau
    Evolution # 4311: * (F) Monitor data transfer Nouveau
      Evolution # 3940: Send status to IC Nouveau
      Evolution # 4497: (FT) Tests Nouveau
    Evolution # 4312: * (F) Monitor Operations Nouveau
      Evolution # 3941: Update soft versions at start Fermé
      Evolution # 3696: Manage instrument status Nouveau
      Evolution # 4390: Uncomment the scheduling at the beginning Nouveau
      Evolution # 4391: Implement night start/end computation Nouveau
      Evolution # 4392: Initialize communication with the instruments Nouveau
      Evolution # 4393: Configure intruments at start Nouveau
      Evolution # 4394: Send software versions to the IC Nouveau
      Evolution # 4395: Initialize connection with PLC Nouveau
      Evolution # 4396: After the starting actions, loop to wait for the instruments configur... Nouveau
      Evolution # 4397: Ask PLC for status Nouveau
      Evolution # 4398: Ask filter wheel for status Nouveau
      Evolution # 4399: Store the instruments & PLC status Nouveau
      Evolution # 4400: Analyse PLC status (obs conditions, ...) Nouveau
      Evolution # 4401: Create tasks of obs condition changes Nouveau
      Evolution # 4402: At the beginning of the loop, ping the DISABLED devices. If they answ... Nouveau
      Evolution # 4496: (FT) Tests Nouveau
  Evolution # 4205: ******* (M) 09.1.60 - ANALYSER (IMAG, SDMN) - Science Data Management Nouveau
    Evolution # 4206: * (F) Interface with ETC/IS (Exposure Time Calculator / Image Simulat... Nouveau
    Evolution # 4238: * (F) CALIBRATE ALL images (Correct images instrumental noise) Nouveau
      Evolution # 4371: Apply the calibrations in the right function Nouveau
      Evolution # 3674: Integrate VIS images calibration (L1a) and analysis (L1b) modules Nouveau
      Evolution # 4498: (FT) Tests Nouveau
      Evolution # 4502: Créer analyse task when an image has been taken -> give the plan id a... Nouveau
    Evolution # 4239: * (F) ANALYSE “alert” images in NRT Nouveau
      Evolution # 3695: Skeleton of analysis Fermé
      Evolution # 3932: Multiple analyses at the same time Fermé
    Evolution # 4240: * (F) Read images (one by one, as soon as they are produced) Nouveau
    Evolution # 4241: * (F) Emit an alert message (update or new event) Nouveau
    Evolution # 4242: * (F) Provide results to scientists (bust advocate) Nouveau
    Evolution # 4243: * (F) Analyze “routine” images (if needed) Nouveau
      Evolution # 4373: Implement the analyses Nouveau
      Evolution # 4499: (FT) Tests Nouveau
    Evolution # 4244: * (F) Add information to images Header (FITS) Nouveau
    Evolution # 4245: * (F) Save analyses results Nouveau
      Evolution # 3927: Send results to FSC Nouveau
    Evolution # 4246: * (F) Analyser VIEW: Display Analyses results Nouveau
    Evolution # 4298: MODULE Tests Suite Nouveau
    Evolution # 4372: Apply the analyses only if it's a GRB Nouveau
    Evolution # 4374: Send analyses to FSC Nouveau
  Evolution # 4207: ******* (M) 09.1.70 - DASHBOARD (ISMN) - Information System Manager Nouveau
    Evolution # 4254: * (F) Manage users and current priorities Nouveau
    Evolution # 4255: * (F) Manage Scientific Programs and Quotas Nouveau
    Evolution # 4256: * (F) Supply a short-term follow-up and a middle term of the observat... Nouveau
    Evolution # 4257: * F) Admin backend (expert mode, access to all database content) Nouveau
    Evolution # 4258: * (F) Prepare and schedule calibration sequences (flatfield, dark…) Nouveau
    Evolution # 4259: * (F) Update calibration parameters Nouveau
    Evolution # 4260: * (F) Manage saving and archiving of the data Nouveau
    Evolution # 4261: * (F) Manage logs of the application Nouveau
    Evolution # 4262: * (F) Manage general configuration parameters for the system (software) Nouveau
    Evolution # 4263: * (F) Show views of all the Modules status (Routine, Alert, Schedule,... Nouveau
    Evolution # 4264: * (F) Manual CDE/CTRL of the Telescope and devices (expert mode) Nouveau
    Evolution # 4265: * (F) Manual control of the system (software): start/resume, stop/pau... Nouveau
    Evolution # 4266: * (F) Debug mode Nouveau
    Evolution # 4267: * (F) Execution of TESTS suite (expert mode) Nouveau
    Evolution # 4299: MODULE Tests Suite Nouveau
    Evolution # 3825: Visualisation des résultats des séquences Nouveau
    Evolution # 4358: Create the backoffice views as the modules are integrated in pyros Nouveau
    Evolution # 4359: Think about a system of permissions Nouveau
    Evolution # 4503: Dashboard: s'inspirer du tableau de bord de l'ancien logiciel ROS Nouveau
    Evolution # 4313: * (F) Website Architecture Nouveau
      Evolution # 3717: website home page Fermé
      Evolution # 3720: Website structure Fermé
      Evolution # 3832: Possibility to report / repeat sequences Nouveau
      Evolution # 3835: Duration format Fermé
      Evolution # 4500: (FT) Tests Nouveau
    Evolution # 5056: * (F) MANUAL MODE Nouveau
    Evolution # 5057: * (F) DEMO MODE Nouveau
  Evolution # 4208: ******* (M) 09.1.75 - USERS - User Manager (private sub-module) Nouveau
    Evolution # 4314: * (F) Users management Nouveau
      Evolution # 3718: User creation Fermé
      Evolution # 3719: Password recovery Nouveau
      Evolution # 3721: Profile page Nouveau
      Evolution # 3742: Signup validation by administrator Nouveau
      Evolution # 3895: Handle permissions Nouveau
      Evolution # 3831: Help for new users Nouveau
      Evolution # 4341: Users: gérer les 3 profils (admin, expert, user) Nouveau
      Evolution # 4501: (FT) Tests Nouveau
    Evolution # 4315: * (F) Website Design Nouveau
      Evolution # 3838: Request list : colors & submit button Fermé
  Evolution # 4209: ******* (M) 09.1.80 - SOFTWARE (SWCONF, SUPP) - Software configuratio... Nouveau
    Evolution # 4248: * (F) Manage Software configuration Nouveau
    Evolution # 4249: * (F) Manage Network Nouveau
    Evolution # 4250: * (F) Make performance tests and statistics Nouveau
    Evolution # 4252: * (F) Manage system logs Nouveau
    Evolution # 4305: Runtime : check environnement Nouveau
  Evolution # 4210: ******* (M) 09.1.90 - HARDWARE (HWCONF, INFR) – Hardware configuratio... Nouveau
    Evolution # 4247: * (F) Manage Hardware configuration Nouveau
    Evolution # 4276: * (F) Design the global hardware architecture (servers, backup, repli... Nouveau
  Evolution # 4211: ******* (M) 09.1.95 - ARCHIVE – Archiving (external) Nouveau
    Evolution # 4212: * (F) Archive images and scientific data analysis Nouveau
  Evolution # 4671: ******* (M) 09.1.99 - SIMULATORS Nouveau
    Evolution # 4672: * (F) Scenarist (IRAP) - Scenario executor Nouveau
    Evolution # 4681: * (F) Alerts Network Simulator (IRAP) Nouveau
    Evolution # 4683: * (F) Routines Submission Simulator (IRAP) Nouveau
    Evolution # 4685: * (F) Time Server Simulator (IRAP ?) Nouveau
    Evolution # 4686: * (F) Local Network Simulator (IRAP ?) Nouveau
    Evolution # 4687: * (F) PLC Device Simulator (IRAP puis PYTHEAS ?) Nouveau
    Evolution # 4690: * (F) Detectors Simulator Nouveau
      Evolution # 4689: * (F) NIR (CAGIRE) camera device Simulator (IRAP/CAGIRE) Nouveau
      Evolution # 4688: * (F) VIS camera device Simulator (UNAM) Nouveau
    Evolution # 4691: * (F) Image Simulator (D.Corre) Nouveau
      Evolution # 4692: * (F) NIR (CAGIRE) Image Simulator (IRAP/LAM/D.Corre/CAGIRE) Nouveau
      Evolution # 4693: * (F) VIS Image Simulator (IRAP/LAM/D.Corre/UNAM) Nouveau
    Evolution # 4694: * (F) Telescope Simulators Nouveau
    Evolution # 4695: * (F) GIC Simulator ? => NOT NECESSARY Nouveau
    Evolution # 4696: * (F) FSC Simulator ? => NOT NECESSARY because FSC sends nothing to P... Nouveau
  Evolution # 4302: ******* (M) 09.1.00 - PROJECT MANAGEMENT Nouveau
    Evolution # 4316: * (F) Architecture du projet Nouveau
      Evolution # 4303: Architecture du projet (organisation dossiers) Nouveau
      Evolution # 4337: git : Create a "dev" branch (do not write anymore on the "master" bra... Nouveau
      Evolution # 4422: public/ : faut-il garder ce dossier qui ne contient qu’un seul dossie... Nouveau
      Evolution # 4425: Créer un mode DEV : jouer avec la variable DEBUG (ou autre ?) dans sr... Nouveau
      Evolution # 4442: (FT) Architecture du projet Nouveau
      Evolution # 4517: Organisation physique des données sur le disque Nouveau
      Evolution # 4518: Think about the way for the user to get his data. Nouveau
      Evolution # 4611: Mise en place d'un système de logging Nouveau
      Evolution # 4742: Implement class inheritage for django models Nouveau
    Evolution # 4317: * (F) Documentation Nouveau
      Evolution # 4304: Evolution du redmine concernant PYROS Nouveau
      Actions # 3428: INSTALL doc: update PYROS/install/INSTALL.* doc each time the wiki is u... Nouveau
      Evolution # 4329:  Renommer le script install_requirements.sh en install.sh Nouveau
      Evolution # 4330:  Faciliter l'installation du logiciel complet avec CONDA, qui gère to... Nouveau
      Evolution # 4345: Unit tests : test of each module Nouveau
      Evolution # 4346: Functional tests (with Celery and simulators): complete workflow Nouveau
      Evolution # 4347: LAUNCH: Start simulators / Start Celery / Start pyros Nouveau
      Evolution # 4348: Administration of the database: http://localhost:8000/admin Nouveau
      Evolution # 4349: Interacting with Pyros: http://localhost:8000 Nouveau
      Evolution # 4350: Watch the environment: Devices, Site, Weather Nouveau
      Evolution # 4351: Watch the schedule: Schedule Nouveau
      Evolution # 4352: Watch the data processing (workflow): System (Dashboard) Nouveau
      Evolution # 4353: Submit a Routine Request (and get results): Routines Nouveau
      Evolution # 4354: Watch alerts: Alerts Nouveau
      Evolution # 4356: Manual operations on the Telescope : Devices/Telescope (TODO) Nouveau
      Evolution # 4357: Manage users : Users Nouveau
      Evolution # 4421: Workflow du "démarrage du système" à documenter (tout se qui se décle... Nouveau
    Evolution # 4318: * (F) Environment Nouveau
      Evolution # 3407: Test install eclipse from scratch Nouveau
      Evolution # 3412: Hebergement: passer le projet sur sourcesup ou SVOMSOL (CEA) Nouveau
      Evolution # 3413: Jenkins: Intégration continue avec Jenkins (+ run des tests sur une V... Nouveau
      Actions # 3419: Win10: Installer une VM windows 10 pour les tests Nouveau
      Evolution # 4323: Runtime : check environnement (RabbitMQ, Mysql (sauf si choisi sqllite)) Nouveau
      Evolution # 4328: Si l'environnement virtuel existe déjà, demander s'il doit être recré... Nouveau
      Evolution # 4331: Pyros Doit pouvoir être démarré indifféremment AVANT (par défaut) les... Nouveau
      Evolution # 4334: Update to django 1.10 Nouveau
      Evolution # 4335: Remplacer le serveur web de "dev" (manage runserver, sur port 8000) p... Nouveau
      Evolution # 4336: Comet installation : Include in the install_requirements.sh script (b... Nouveau
      Evolution # 4591: WIN pyrosrun.bat to be updated Nouveau
    Evolution # 4319: MEETINGS Nouveau
    Evolution # 4320: * (F) Assets Nouveau
      Evolution # 3404: Models: bien définir les valeurs par défaut Nouveau
    Anomalie # 4321: * (F) Conventions Nouveau
      Actions # 3585: (A LA FIN DE CHAQUE VERSION, POUR VALIDATION) Mettre à jour la version ... Nouveau
    Anomalie # 4324: * (F) Tests Nouveau
      Evolution # 4325: Test (tester la présence des prérequis) Nouveau
      Anomalie # 4327: Mettre en place une exécution systématique des tests à chaque commit (... Nouveau
      Evolution # 4513: Tests unitaires (pyrosrun.sh unittest): les tests unitaires ne devrai... Nouveau
    Evolution # 4332: Pyros De manière générale, doit être le plus possible "tolérant aux p... Nouveau
    Evolution # 4333: Doit être le plus générique et donc paramétrable possible Nouveau
    Evolution # 4504: Données simulées : faire l'inventaire des données dont on a besoin (a... Nouveau
Actions # 4151: ********************************************************** Nouveau
Evolution # 4156: ************** (WP) 13 – INTERFACES with GIC and FSC (Software) Nouveau
  Evolution # 4157: ******* (M) 13.10 - INTERFACES with GIC Nouveau
    Evolution # 4282: * (F) Définir la liste des données à échanger, leur format, leur cont... Nouveau
    Evolution # 4510: Produire les données à envoyer au GIC dans un repertoire GIC/TO/ (pou... Nouveau
    Evolution # 4511: Récupérer les données envoyées par le GIC depuis un autre repertoire ... Nouveau
    Evolution # 4581: Instance de FileSync pour l'entité GIC : bidirectionnelle (GCC <=> FSC) Nouveau
  Evolution # 4159: ******* (M) 13.20 - INTERFACES with FSC Nouveau
    Evolution # 4512: Contraintes à mettre en place pour le FSC Nouveau
    Evolution # 4580: Instance de FileSync pour l'entité FSC : unidirectionnelle (GCC => FSC) Nouveau
  Evolution # 4277: * (F) Dependency with the GO language for the FileSync service(s) Nouveau
Actions # 4164: ********************************************************** Nouveau
Evolution # 4165: ************** (WP) 14 – System Integration tests & Functional tests Nouveau
  Evolution # 4166: ******* (M) 14.10 - IMAG VIS (SDMN) Nouveau
  Evolution # 4167: ******* (M) 14.20 - IMAG NIR (SDMN) Nouveau

History
#1 - 09/12/2016 04:04 pm - Etienne Pallier
- Target version set to ** PYROS SOFTWARE **

#2 - 10/13/2016 11:55 am - Jeremy Barneron
- Subject changed from PYROS SOFTWARE to ******************* PYROS SOFTWARE
#3 - 02/06/2019 06:43 pm - Etienne Pallier
- Target version deleted (** PYROS SOFTWARE **)
